<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Authorizer" description="Компонент Авторизатор"
	fileName="NPCAuthorizer.jar" className="org.mati.npc.components.authorizer.NPCAuthorizer"
	version="8791" time="17.02.2009 01:05:07">

	<Group>Ночной депозитарий</Group>

	<INLink name="InReader" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InNumber" description=""
		interfaceName="org.mati.npc.components.interfaces.NumberListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InControl" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	
	<INLink name="InClear" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutReaderControl" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutReader" description=""
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutNumberControl" description=""
		interfaceName="org.mati.npc.components.interfaces.NumberListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutSuccess" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSuccessE" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutAccessPoint" description="Точка доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<Attribute name="Controllable" description="При установке в false не ждет сигнала от линка Control" nullable="false"
		type="java.lang.Boolean" defaultValue="true">
	</Attribute>

	
</ClassComponent>